Subject: Re: RMMC Article
From: "Steve Bamford ARC" <[email-masked]>
To: "Santarossa Family" <[email-masked]>
Date: Mon, 12 Jul 2004 15:28:16 -0700

Hi Massimo,
I just wanted to let you know your article went on ARC today.  Thanks for sending it in.   

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Santarossa Family 
  To: [email-masked] 
  Sent: Wednesday, June 02, 2004 9:00 AM
  Subject: RMMC Article

  Steve,

  Here is an article about our club's recent contest.  Attached it a copy of my original article writen in Word 97.  I would like to have the club's logo as 01.jpg, but I don't know how to extract it from the body of the article.  I will send a second email containing a number of photos for use a thumb nails.

  I realize that you must get a large number of articles each day, but I was hoping that you could post this article as soon as possible while the memory of the contest is still somewhat fresh in people's minds.

  Thanks much

  Massimo Santarossa

  PS. Percy said that you really must come next year.  It was good seeing the Victoria contingent again.

  The 2004 Rocky Mountain Model Club

  10th Annual Contest and Show

  "10 Years of Bashing Plastic"

        Steve Bamford will insert full sized version of photo 01.jpg here 

  Photos by Tom Calbury, Text by Massimo Santarossa

  The Rocky Mountain Model Club (RMMC) of Calgary has been around now for 11 years, and recently hosted its 10th Annual Model Contest and Show. This show has grown over the years and now ranks as one of the largest of its kind in western Canada. As such, the people who attend expect to see a lot of models on display, but more importantly they expect to see a lot of high quality models as well. The 2004 event did not disappoint.

  This year's contest was held on May 22nd, and attracted over 320 entries, down a bit from last year, though the poor weather on this Victoria Day weekend probably played a part in that. If the rain kept entries away, it did not have the same affect on the public who attended in much greater numbers than previous years. Many of those who came to the show traveled from far and wide. Modelers came from Victoria, Prince George, Edmonton, Cold Lake, Lethbridge, Saskatoon, and Montana, just to name a few. But the longest distance attendee was a modeler who just happened to be in town, saw the contest poster in a local hobby shop, and came to check it out. This gentleman just happens to be a member of the Club de Modelismo di Caracas, Venezuela.

  In attendance once again this year was Global TV, doing a portion of their Morning Show from the contest venue. Later in the day, Calgary's CTV affiliate CFCN, and local independent station Fairchild TV sent camera crews to film the event and conduct interviews. This year, the club with the assistance of Fine Scale Modeler magazine, set up a photography table in order to take pictures of some of the fine kits that were entered. It is hoped that in the future we will see of these photos published in this fine periodical or one of its sister publications. Clearly the word is out about the size and quality of the Calgary show.

  As with other model contests, the RMMC show had models entered that covered a wide range of modeling genres. Just about anything that could be imagined was entered. This necessitated the use of several different judging teams, each concentrating on their area of specialization. That did not, however, mean that the judges had an easy time of things; quite the opposite in fact. There were many occasions when the judges had a very difficult time deciding on which one model was the best in its category because the quality of construction of the models was of such a high standard. The car/truck judges noted that a number of the models that they looked at could easily compete in the big show held each year in Salt Lake City. And on more than one occasion, additional judges were called upon to break deadlocks among the judging teams. While the work of the judges was difficult, it was something that was also rewarding because it was a reflection of the high standard of modeling that has become associated with this contest.

  There were also other distractions at this year's event. As always, a swap room was opened which allowed people to get in a little shopping, and maybe even come up with some inspiration for next year's contest. If you wanted a model kit, and were willing to gamble, the club held a raffle draw that saw for the price of a 25¢ ticket, items like a 1/32 Fw-190, 1/35 Blue Hawk, sports bags, decals, and many others given away. These raffle items, as well as a number of awards, could not have happened if it were not for the generous support of many sponsors. This year saw many former sponsors return, as well as some ones, including Federal Express, Whiskey Jack Decals, Invader Hobbies, and "Picks" Guitar Studio, to name but a few. It is with humble thanks that the club expresses their appreciation to all of the sponsors for their continued assistance, and looks forward to working with them in 2005.

  It goes without saying that many individuals and club members also were involved in putting on the show. It is safe to say that just about every member of the RMMC was in attendance to do their part in the contest, whether it was judging, tabulating results, taking admission fees, setting up and cleaning up tables, as well as the many other little duties that must be accomplished to make a contest of this caliber a success. And the membership grew as well, as a number of people took advantage of the chance to join the RMMC. What was additionally gratifying was the help that the out of town modelers, some whom we knew and some who were attending for the first time, lent the club. This speaks volumes for the quality of people that the hobby, and in this case the Calgary club, attracts.

  The Rocky Mountain Model Club would like to thank everyone who attended this year's contest. It because of their support, and their fine modeling skills, that this annual event is so well received and continues to be the success that it is. The RMMC is now looking forward to 2005 when it hopes that all its old friends, and its new ones too, come back to Calgary to enjoy what is sure to be another outstanding contest and show.

  Editorial Note: Additional photos and information will soon be posted on the club's web site:

  www.rockymountainmodelclub.com

  As well, more photos can be found at:

  www.mikegrantdesign.com/RMMC/index.html